<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">

    <modelVersion>4.0.0</modelVersion>
    <groupId>org.example</groupId>
    <artifactId>Elm</artifactId>
    <version>1.0-SNAPSHOT</version>
    <packaging>jar</packaging>

    <name>Elm</name>
    <url>https://maven.apache.org</url>

    <properties>
        <project.build.sourceEncoding>UTF-8</project.build.sourceEncoding>
        <maven.compiler.source>17.0.6</maven.compiler.source>
        <maven.compiler.target>17.0.6</maven.compiler.target>
        <java.version>17.0.6</java.version>
    </properties>

    <dependencies>
        <dependency>
            <groupId>junit</groupId>
            <artifactId>junit</artifactId>
            <version>4.13.2</version>
            <scope>test</scope>
        </dependency>

        <dependency>
            <groupId>org.projectlombok</groupId>
            <artifactId>lombok</artifactId>
            <optional>true</optional>
            <version>1.18.26</version>
        </dependency>

        <dependency>
            <groupId>com.microsoft.sqlserver</groupId>
            <artifactId>mssql-jdbc</artifactId>
            <version>12.2.0.jre11</version>
        </dependency>

        <dependency>
            <groupId>org.jetbrains</groupId>
            <artifactId>annotations</artifactId>
            <version>20.1.0</version>
            <scope>compile</scope>
        </dependency>
    </dependencies>

    <build>
        <directory>JDBC/target</directory>
        <sourceDirectory>JDBC/src/main/java</sourceDirectory>
        <testSourceDirectory>JDBC/src/test/java</testSourceDirectory>
        <outputDirectory>JDBC/target/classes</outputDirectory>
        <testOutputDirectory>JDBC/target/test-classes</testOutputDirectory>
        <resources>
            <resource>
                <directory>JDBC/src/main/resources</directory>
            </resource>
        </resources>
        <testResources>
            <testResource>
                <directory>JDBC/src/test/resources</directory>
            </testResource>
        </testResources>
    </build>

</project>
